安装ubuntu movie player 的gstreamer的插件,带来的ffmpeg relocation error

 

果然是冲突了

zhangbin@ubuntu:~$ sudo su

root@ubuntu:/home/zhangbin# apt-get install gsteamer*

Reading package lists... Done

Building dependency tree       

Reading state information... Done

E: Couldn't find package gsteamer*

root@ubuntu:/home/zhangbin# apt-get install gstreamer*

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Note, selecting gstreamer0.10-ffmpeg-full for regex 'gstreamer*'

Note, selecting gstreamer0.10-alsa for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-audiosink for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad-doc for regex 'gstreamer*'

Note, selecting gstreamer-tools for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-base-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-x for regex 'gstreamer*'

Note, selecting gstreamer0.10-fluendo-mpegdemux for regex 'gstreamer*'

Note, selecting bluez-gstreamer for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-base-doc for regex 'gstreamer*'

Note, selecting libgstreamer0.10-0 for regex 'gstreamer*'

Note, selecting gstreamer0.10-packagekit for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly for regex 'gstreamer*'

Note, selecting gsgstreamer0.10-alsa for regex 'gstreamer*'

Note, selecting gstreamer0.10-ffmpeg-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-multiverse for regex 'gstreamer*'

Note, selecting libgstreamer0.10-ruby for regex 'gstreamer*'

Note, selecting libgstreamer-plugins-base0.10-dev for regex 'gstreamer*'

Note, selecting gstreamer-dbus-media-service for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad-multiverse for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-really-bad for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-good for regex 'gstreamer*'

Note, selecting gir1.0-gstreamer-0.10 for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins for regex 'gstreamer*'

Note, selecting libcanberra-gstreamer for regex 'gstreamer*'

Note, selecting gstreamer0.10-audiosource for regex 'gstreamer*'

Note, selecting libghc6-gstreamer-prof for regex 'gstreamer*'

Note, selecting libgstreamer-interfaces-perl for regex 'gstreamer*'

Note, selecting gstreamer0.10-ffmpeg for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-farsight for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad instead of gstreamer0.10-plugins-farsight

Note, selecting libghc6-gstreamer-dev for regex 'gstreamer*'

Note, selecting gstreamer0.10-pitfdll for regex 'gstreamer*'

Note, selecting libghc6-gstreamer-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-videosink for regex 'gstreamer*'

Note, selecting libgstreamermm-0.10-2 for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-lame for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-multiverse instead of gstreamer0.10-lame

Note, selecting gstreamer0.10-plugins-good-dbg for regex 'gstreamer*'

Note, selecting libcanberra-gstreamer-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-good-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-pulseaudio for regex 'gstreamer*'

Note, selecting gstreamer0.10-visualization for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-good instead of gstreamer0.10-visualization

Note, selecting phonon-backend-gstreamer for regex 'gstreamer*'

Note, selecting libgstreamermm-0.10-dbg for regex 'gstreamer*'

Note, selecting libgstreamermm-0.10-dev for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad-multiverse-dbg for regex 'gstreamer*'

Note, selecting totem-gstreamer for regex 'gstreamer*'

Note, selecting libgstreamermm-0.10-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad for regex 'gstreamer*'

Note, selecting gstreamer0.10-nice for regex 'gstreamer*'

Note, selecting gstreamer0.10-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-fluendo-mp3 for regex 'gstreamer*'

Note, selecting gstreamer0.10-esd for regex 'gstreamer*'

Note, selecting gstreamer0.8-tools for regex 'gstreamer*'

Note, selecting libgstreamer0.10-ruby1.8 for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-base-apps for regex 'gstreamer*'

Note, selecting gstreamer-codec-install for regex 'gstreamer*'

Note, selecting gstreamer0.10-fluendo-mpegmux for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-multiverse-dbg for regex 'gstreamer*'

Note, selecting libgstreamer-perl for regex 'gstreamer*'

Note, selecting libgstreamer0.10-dev for regex 'gstreamer*'

Note, selecting gstreamer0.10-sdl for regex 'gstreamer*'

Note, selecting gstreamer0.10-gnomevfs for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-base for regex 'gstreamer*'

Note, selecting gstreamer0.10-videosource for regex 'gstreamer*'

Note, selecting libgstreamer-plugins-base0.10-0 for regex 'gstreamer*'

Note, selecting gstreamer0.10-gnonlin for regex 'gstreamer*'

Note, selecting gstreamer0.10-pocketsphinx for regex 'gstreamer*'

Note, selecting gstreamer0.10-tools for regex 'gstreamer*'

Note, selecting gstreamer0.10-gnonlin-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-schroedinger for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad instead of gstreamer0.10-schroedinger

Note, selecting libgstreamer0.10-0-dbg for regex 'gstreamer*'

Note, selecting deejayd-gstreamer for regex 'gstreamer*'

Note, selecting gstreamer0.10-gnonlin-doc for regex 'gstreamer*'

Some packages could not be installed. This may mean that you have

requested an impossible situation or if you are using the unstable

distribution that some required packages have not yet been created

or been moved out of Incoming.

The following information may help to resolve the situation:

 

The following packages have unmet dependencies:

  gstreamer0.10-plugins-bad: Conflicts: gstreamer0.10-fluendo-mpegmux

E: Broken packages

root@ubuntu:/home/zhangbin# apt-get remove gstreamer0.10-fluendo-mpegmux

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Package gstreamer0.10-fluendo-mpegmux is not installed, so not removed

0 upgraded, 0 newly installed, 0 to remove and 231 not upgraded.

root@ubuntu:/home/zhangbin# apt-get remove gstreamer0.10-plugins-bad

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following packages will be REMOVED:

  gstreamer0.10-plugins-bad

0 upgraded, 0 newly installed, 1 to remove and 230 not upgraded.

After this operation, 4,567kB disk space will be freed.

Do you want to continue [Y/n]? y

(Reading database ... 155730 files and directories currently installed.)

Removing gstreamer0.10-plugins-bad ...

Processing triggers for libc-bin ...

ldconfig deferred processing now taking place

root@ubuntu:/home/zhangbin# 

root@ubuntu:/home/zhangbin# ffplay

ffplay: relocation error: /usr/local/lib/libavfilter.so.1: symbol av_find_best_stream, version LIBAVFORMAT_52 not defined 

 

in file libavformat.so.52 with link time reference

root@ubuntu:/home/zhangbin# apt-get remove gstreamer*

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Note, selecting gstreamer0.10-ffmpeg-full for regex 'gstreamer*'

Note, selecting gstreamer0.10-alsa for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-audiosink for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad-doc for regex 'gstreamer*'

Note, selecting gstreamer-tools for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-base-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-x for regex 'gstreamer*'

Note, selecting gstreamer0.10-fluendo-mpegdemux for regex 'gstreamer*'

Note, selecting bluez-gstreamer for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-base-doc for regex 'gstreamer*'

Note, selecting libgstreamer0.10-0 for regex 'gstreamer*'

Note, selecting gstreamer0.10-packagekit for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly for regex 'gstreamer*'

Note, selecting gsgstreamer0.10-alsa for regex 'gstreamer*'

Note, selecting gstreamer0.10-ffmpeg-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-multiverse for regex 'gstreamer*'

Note, selecting libgstreamer0.10-ruby for regex 'gstreamer*'

Note, selecting libgstreamer-plugins-base0.10-dev for regex 'gstreamer*'

Note, selecting gstreamer-dbus-media-service for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad-multiverse for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-really-bad for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-good for regex 'gstreamer*'

Note, selecting gir1.0-gstreamer-0.10 for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins for regex 'gstreamer*'

Note, selecting libcanberra-gstreamer for regex 'gstreamer*'

Note, selecting gstreamer0.10-audiosource for regex 'gstreamer*'

Note, selecting libghc6-gstreamer-prof for regex 'gstreamer*'

Note, selecting libgstreamer-interfaces-perl for regex 'gstreamer*'

Note, selecting gstreamer0.10-ffmpeg for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-farsight for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad instead of gstreamer0.10-plugins-farsight

Note, selecting libghc6-gstreamer-dev for regex 'gstreamer*'

Note, selecting gstreamer0.10-pitfdll for regex 'gstreamer*'

Note, selecting libghc6-gstreamer-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-videosink for regex 'gstreamer*'

Note, selecting libgstreamermm-0.10-2 for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-lame for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-multiverse instead of gstreamer0.10-lame

Note, selecting gstreamer0.10-plugins-good-dbg for regex 'gstreamer*'

Note, selecting libcanberra-gstreamer-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-good-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-pulseaudio for regex 'gstreamer*'

Note, selecting gstreamer0.10-visualization for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-good instead of gstreamer0.10-visualization

Note, selecting phonon-backend-gstreamer for regex 'gstreamer*'

Note, selecting libgstreamermm-0.10-dbg for regex 'gstreamer*'

Note, selecting libgstreamermm-0.10-dev for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad-multiverse-dbg for regex 'gstreamer*'

Note, selecting totem-gstreamer for regex 'gstreamer*'

Note, selecting libgstreamermm-0.10-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad for regex 'gstreamer*'

Note, selecting gstreamer0.10-nice for regex 'gstreamer*'

Note, selecting gstreamer0.10-doc for regex 'gstreamer*'

Note, selecting gstreamer0.10-fluendo-mp3 for regex 'gstreamer*'

Note, selecting gstreamer0.10-esd for regex 'gstreamer*'

Note, selecting gstreamer0.8-tools for regex 'gstreamer*'

Note, selecting libgstreamer0.10-ruby1.8 for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-base-apps for regex 'gstreamer*'

Note, selecting gstreamer-codec-install for regex 'gstreamer*'

Note, selecting gstreamer0.10-fluendo-mpegmux for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-ugly-multiverse-dbg for regex 'gstreamer*'

Note, selecting libgstreamer-perl for regex 'gstreamer*'

Note, selecting libgstreamer0.10-dev for regex 'gstreamer*'

Note, selecting gstreamer0.10-sdl for regex 'gstreamer*'

Note, selecting gstreamer0.10-gnomevfs for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-base for regex 'gstreamer*'

Note, selecting gstreamer0.10-videosource for regex 'gstreamer*'

Note, selecting libgstreamer-plugins-base0.10-0 for regex 'gstreamer*'

Note, selecting gstreamer0.10-gnonlin for regex 'gstreamer*'

Note, selecting gstreamer0.10-pocketsphinx for regex 'gstreamer*'

Note, selecting gstreamer0.10-tools for regex 'gstreamer*'

Note, selecting gstreamer0.10-gnonlin-dbg for regex 'gstreamer*'

Note, selecting gstreamer0.10-schroedinger for regex 'gstreamer*'

Note, selecting gstreamer0.10-plugins-bad instead of gstreamer0.10-schroedinger

Note, selecting libgstreamer0.10-0-dbg for regex 'gstreamer*'

Note, selecting deejayd-gstreamer for regex 'gstreamer*'

Note, selecting gstreamer0.10-gnonlin-doc for regex 'gstreamer*'

The following packages were automatically installed and are no longer required:

  libswscale0 libtwolame0 libwildmidi0 liborc-0.4-0 libavutil49 libflite1

  libdc1394-22 libgda-4.0-common libwxbase2.8-dev libsoundtouch1c2 libopts25

  libopts25-dev libdca0 autogen libopenspc0 libpostproc51 anjuta-common

  libfftw3-3 libass4 openoffice.org-l10n-common libavformat52 libtool

  libschroedinger-1.0-0 libenca0 libgda-4.0-4 libwxbase2.8-0 libgme0 freepats

  libgsm1 libdvdnav4 libdvdread4 libkate1 python-wxversion libcdaudio1

  libmimic0 libsidplay1 libavcodec52 libmad0 libid3tag0 libmodplug0c2

  libcelt0-0 libdirac-encoder0 libvala0 libltdl-dev wx2.8-headers libmpcdec3

  libgdl-1-3 libofa0 libmpeg2-4 libmms0 libiptcdata0 libgdl-1-common

  liba52-0.7.4

Use 'apt-get autoremove' to remove them.

The following extra packages will be installed:

  apturl-common libwxbase2.8-0 libwxbase2.8-dev wx2.8-headers

Suggested packages:

  wx2.8-doc

The following packages will be REMOVED:

  anjuta apturl bluez-gstreamer brasero devhelp empathy evolution-plugins

  gnome-codec-install gnome-media gstreamer0.10-alsa gstreamer0.10-ffmpeg 巧合看到这个。

  gstreamer0.10-gnonlin gstreamer0.10-nice gstreamer0.10-plugins-base

  gstreamer0.10-plugins-base-apps gstreamer0.10-plugins-good

  gstreamer0.10-plugins-ugly gstreamer0.10-pulseaudio gstreamer0.10-tools

  gstreamer0.10-x gwibber libbrasero-media0 libdevhelp-1-1 libgnome-media0

  libgstfarsight0.10-0 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0

  libpurple0 libtelepathy-farsight0 libubuntuone-1.0-1 libwebkit-1.0-2

  libwxgtk2.8-0 libwxgtk2.8-dev nautilus-sendto-empathy

  openoffice.org-base-core openoffice.org-calc openoffice.org-common

  openoffice.org-core openoffice.org-draw openoffice.org-emailmerge

  openoffice.org-gnome openoffice.org-gtk openoffice.org-help-en-gb

  openoffice.org-help-en-us openoffice.org-impress openoffice.org-l10n-en-gb

  openoffice.org-l10n-en-za openoffice.org-math openoffice.org-style-human

  openoffice.org-writer pitivi python-farsight python-gst0.10 python-papyon

  python-ubuntuone python-uno python-webkit python-wxgtk2.8 python-wxtools

  rhythmbox rhythmbox-plugin-cdrecorder rhythmbox-plugins

  rhythmbox-ubuntuone-music-store software-center telepathy-butterfly

  telepathy-haze totem totem-mozilla totem-plugins ubufox ubuntu-desktop

The following packages will be upgraded:

  apturl-common libwxbase2.8-0 libwxbase2.8-dev wx2.8-headers

4 upgraded, 0 newly installed, 71 to remove and 216 not upgraded.

Need to get 2,203kB of archives.

After this operation, 414MB disk space will be freed.

Do you want to continue [Y/n]? n

Abort.

root@ubuntu:/home/zhangbin# apt-get remove gstreamer0.10-ffmpeg

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following packages were automatically installed and are no longer required: 这些软件包才是要卸载的

  libswscale0 libwildmidi0 liborc-0.4-0 libavutil49 libflite1 libdc1394-22

  libsoundtouch1c2 libdca0 libopenspc0 libpostproc51 libfftw3-3 libass4

  libavformat52 libschroedinger-1.0-0 libenca0 libgme0 freepats libgsm1

  libkate1 libcdaudio1 libmimic0 libavcodec52 libmodplug0c2 libcelt0-0

  libdirac-encoder0 libmpcdec3 libofa0 libmms0 libiptcdata0

Use 'apt-get autoremove' to remove them.

The following packages will be REMOVED:

  gstreamer0.10-ffmpeg

0 upgraded, 0 newly installed, 1 to remove and 230 not upgraded.

After this operation, 348kB disk space will be freed.

Do you want to continue [Y/n]? y

(Reading database ... 155599 files and directories currently installed.)

Removing gstreamer0.10-ffmpeg ...

root@ubuntu:/home/zhangbin# 

 

卸载附加给gstreamer-ffmpeg的依赖包

root@ubuntu:/home/zhangbin# apt-get autoremove

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following packages will be REMOVED:

  freepats libass4 libavcodec52 libavformat52 libavutil49 libcdaudio1

  libcelt0-0 libdc1394-22 libdca0 libdirac-encoder0 libenca0 libfftw3-3

  libflite1 libgme0 libgsm1 libiptcdata0 libkate1 libmimic0 libmms0

  libmodplug0c2 libmpcdec3 libofa0 libopenspc0 liborc-0.4-0 libpostproc51

  libschroedinger-1.0-0 libsoundtouch1c2 libswscale0 libwildmidi0

0 upgraded, 0 newly installed, 29 to remove and 230 not upgraded.

After this operation, 67.6MB disk space will be freed.

Do you want to continue [Y/n]? y

(Reading database ... 155588 files and directories currently installed.)

Removing freepats ...

Removing libass4 ...

Removing libavformat52 ...

Removing libavcodec52 ...

Removing libswscale0 ...

Removing libpostproc51 ...

Removing libavutil49 ...

Removing libcdaudio1 ...

Removing libcelt0-0 ...

Removing libdc1394-22 ...

Removing libdca0 ...

Removing libdirac-encoder0 ...

Removing libenca0 ...

Removing libofa0 ...

Removing libfftw3-3 ...

Removing libflite1 ...

Removing libgme0 ...

Removing libgsm1 ...

Removing libiptcdata0 ...

Removing libkate1 ...

Removing libmimic0 ...

Removing libmms0 ...

Removing libmodplug0c2 ...

Removing libmpcdec3 ...

Removing libopenspc0 ...

Removing liborc-0.4-0 ...

Removing libschroedinger-1.0-0 ...

Removing libsoundtouch1c2 ...

Removing libwildmidi0 ...

Processing triggers for libc-bin ...

ldconfig deferred processing now taking place

root@ubuntu:/home/zhangbin# 

 

又好了:

root@ubuntu:/home/zhangbin# ffmpeg

FFmpeg version git-N-28432-g4786076, Copyright (c) 2000-2011 the FFmpeg developers

  built on May 11 2011 21:51:59 with gcc 4.4.3

  configuration: --enable-shared --enable-gpl --enable-nonfree --enable-pthreads --enable-libfaac --enable-libmp3lame --enable-libtheora --enable-libxvid --enable-x11grab --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopencore-amrnb --enable-version3 --enable-libx264 --enable-postproc --enable-libvpx --enable-libvorbis

  libavutil    50. 39. 0 / 50. 39. 0

  libavcodec   52.114. 0 / 52.114. 0

  libavformat  52.103. 0 / 52.103. 0

  libavdevice  52.  3. 0 / 52.  3. 0

  libavfilter   1. 76. 0 /  1. 76. 0

  libswscale    0. 12. 0 /  0. 12. 0

  libpostproc  51.  2. 0 / 51.  2. 0

Hyper fast Audio and Video encoder

usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

 

Use -h to get full help or, even better, run 'man ffmpeg'

root@ubuntu:/home/zhangbin# 

 

发布了679 篇原创文章 · 获赞 56 · 访问量 219万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览